package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.domain.DmpProductInfo;
import com.usky.iot.service.vo.DmpProductInfoRequest;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 产品信息表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
public interface DmpProductInfoService extends CrudService<DmpProductInfo> {


    void add(List<DmpProductInfo> dmpProductInfo);

    void update(DmpProductInfo dmpProductInfo);

    boolean checkNameUnique(DmpProductInfo dmpProductInfo);

    boolean checkProductNameUnique(DmpProductInfo dmpProductInfo);

    CommonPage<DmpProductInfo> page(DmpProductInfoRequest dmpProductInfoRequest);

    boolean remove(Integer id);

    List<Map<String,Object>> collect(Integer tenantId);

    /**
     * 设备状态统计
     * @return
     */
    List<Map<String,Object>> deviceCollect(Integer deptId);

    /**
     * 综合云图-设备工况统计接口
     * @return
     */
    List<Object> deviceStatusStatistic(Integer deptId,String productId);
}
